List Credential Value Types
curl --request GET \
--url https://api.transactcampus.com/idx/institution-management/credentials/v1/credentialvalues/types \
--header 'Ocp-Apim-Subscription-Key: <api-key>'import requests
url = "https://api.transactcampus.com/idx/institution-management/credentials/v1/credentialvalues/types"
headers = {"Ocp-Apim-Subscription-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Ocp-Apim-Subscription-Key': '<api-key>'}};
fetch('https://api.transactcampus.com/idx/institution-management/credentials/v1/credentialvalues/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentialValueTypes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mediaTypeDescriptors": [
"BARCODE"
],
"issuanceType": "IIN",
"characterSet": "ALPHANUMERIC",
"minLength": 128,
"maxLength": 128,
"allowReissuance": true,
"luhnCheckRequired": true,
"issueNumberRequired": true,
"allowIssuance": true,
"internalNotes": "<string>",
"adminUserHint": "<string>",
"consumerUserHint": "<string>",
"prefix": "<string>",
"iinId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issueNumberLength": 128
}
],
"paging": {
"offset": 1,
"limit": 2,
"total": 1
}
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}This response has no body data.Credential Value Type
List Credential Value Types
Lists the credential value types. Query parameters can be used to limit the scope of the list.
GET
/
credentialvalues
/
types
List Credential Value Types
Authorizations
The APIM subscription key.
Query Parameters
The limit parameter for pagination.
Required range:
x >= 1The offset parameter for pagination.
Required range:
x >= 0Was this page helpful?